## org.eclipse.emf.compare.match.engine
Interface IMatchScopeProvider

All Known Implementing Classes:
  GenericMatchScopeProvider

    public interface IMatchScopeProvider

A scope provider that can be passed to a `IMatchEngine` via the `MatchOptions.OPTION_MATCH_SCOPE_PROVIDER` option. The `IMatchEngine` can evaluate the scope to restrict the set of `Resource`s and `EObject`s it compares. It always has to provide a left and right `IMatchScope`, in case it is used in a three-way-comparison setting, an ancestor `IMatchScope` also has to be provided.

Since:
  1.1

Method Summary
`void` `applyResourceFilter(IResourceFilter filter)` In case the left, right, and target `IMatchScope`s are based on `Resource`s and not `EObject`s, the filter can be applied to further restrict the scope.
`IMatchScope` `getAncestorScope()` The `IMatchScope` to restrict the ancestor side of comparison.
`IMatchScope` `getLeftScope()` The `IMatchScope` to restrict the left side of comparison.
`IMatchScope` `getRightScope()` The `IMatchScope` to restrict the right side of comparison.

Method Detail

### getLeftScope

    IMatchScope getLeftScope()

  The `IMatchScope` to restrict the left side of comparison.

  Returns:
    an instance of `IMatchScope`. May not be `null`.

### getRightScope

    IMatchScope getRightScope()

  The `IMatchScope` to restrict the right side of comparison.

  Returns:
    an instance of `IMatchScope`. May not be `null`.

### getAncestorScope

    IMatchScope getAncestorScope()

  The `IMatchScope` to restrict the ancestor side of comparison.

  Returns:
    an instance of `IMatchScope`. May also be `null` in case it is used in a two-way-comparison scenario.

### applyResourceFilter

    void applyResourceFilter(IResourceFilter filter)

  In case the left, right, and target `IMatchScope`s are based on `Resource`s and not `EObject`s, the filter can be applied to further restrict the scope. Otherwise it will be ignored.

  Parameters:
    `filter` - the `IResourceFilter` to be applied to the left, right scopes, as well as the ancestor scope (if it is specified).

Copyright 2006 IBM Corporation and others. All Rights Reserved.